package com.ruoyi.biemo.business.response;

import com.ruoyi.biemo.business.domain.Node;
import com.ruoyi.biemo.business.domain.Relationship;

import java.util.ArrayList;
import java.util.List;

public class MyResultResponse {

    private List<Datas> results;
    private List<String> errors;

    public MyResultResponse() {
    }

    public List<String> getErrors() {
        if (errors == null) {
            errors = new ArrayList<>();
        }
        return errors;
    }

    public void setErrors(List<String> errors) {
        this.errors = errors;
    }

    public List<Datas> getResults() {
        if (results == null) {
            results = new ArrayList<>();
        }
        return results;
    }

    public void setResults(List<Datas> results) {
        this.results = results;
    }

     public static class Datas{
        private List<String> columns;
        private List<Data> data;

        public List<String> getColumns() {
            return columns;
        }

        public void setColumns(List<String> columns) {
            this.columns = columns;
        }

        public List<Data> getData() {
            return data;
        }

        public void setData(List<Data> data) {
            this.data = data;
        }
    }
    public static class Data{
        private Graph graph;

        public Graph getGraph() {
            return graph;
        }

        public void setGraph(Graph graph) {
            this.graph = graph;
        }
    }
   public static class Graph{
        private List<Node> nodes;
        private List<Relationship> relationships;

        public List<Node> getNodes() {
            return nodes;
        }

        public void setNodes(List<Node> nodes) {
            this.nodes = nodes;
        }

        public List<Relationship> getRelationships() {
            return relationships;
        }

        public void setRelationships(List<Relationship> relationships) {
            this.relationships = relationships;
        }
    }
}
